<?php
/*
 * lookup.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

include ("include/header_info.php");

include("include/functions_common.php");

/* 	This page is used to Lookup for any Valid translations (current_tranlation) for the given 
 * string (query_lookup).
 *
 *								AUTHOR : Khader Abbeb N			
 */

$db	= dbConnect();

if($_GET["query_lookup"])
{
	$query_lookup	= $_GET["query_lookup"];

/*	$sql_lookup	= "select distinct s.user_suggestion from ".
			  "$table_string_list as t,$table_string_context as c, $table_suggestion as s ".
			  "where s.sug_id = c.valid_sug_id and s.context_id=c.context_id and c.valid_sug_id !='' ".
			  "and c.string_id = t.string_id and  t.string_value='$query_lookup'";
*/
	$sql_lookup	= "select distinct s.user_suggestion from ".
			  "$table_string_list as t, $table_suggestion as s ".
			  "where ".
			  "s.string_id = t.string_id and  t.string_value='$query_lookup'";
	$result_lookup	= mysql_query($sql_lookup);
	
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
<title>Lookup Window</title>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
<SCRIPT TYPE="text/javascript">
<!--
window.focus();

function targetopener(mylink, closeme, closeonly)
{
	if (! (window.focus && window.opener))return true;
		window.opener.focus();
	if (! closeonly)window.opener.location.href=mylink.href;
	if (closeme)window.close();
		return false;
}


// -->
</SCRIPT>
<style type="text/css">
<!--
table
{
	
	border-collapse: collapse; 
}

.tableclass
{
	margin: 0.5em 0;	
	border-collapse: collapse; 
}
.tdborder
{
	
	padding: 0.25em;
	border: 1pt solid #ADB9CC;
}

// -->
</style>

</head>
<body  bgcolor="#efefef">

<center><b>	Lookup in our database for a particular word/phrase <br /><br /></b></center>
	<form method="GET" action="lookup.php">
	<table width="300" align="center" cellpadding="3" >
		<tr><td><u>Lookup Result</u></td></tr>

<?php		if ($row_lookup = @mysql_fetch_row($result_lookup) )
		{
		   do
		   {
?>
			<tr><td class="tdborder" width="300" bgcolor="#ffffff">
<?php			
			   if($row_lookup[0]) echo htmlentities($row_lookup[0],ENT_COMPAT,'UTF-8');
			   else echo "No translation available in our database";

			echo "</td></tr>";
		   }while ($row_lookup = mysql_fetch_row($result_lookup));
		}
		else
		{
		   echo "<tr><td class=\"tdborder\" bgcolor=\"#ffffff\">".
			"String not found.</td></tr>";
		}
?>
		<tr><td>
			<u>Lookup Entry</u>
		</td></tr>
		<tr><td>
			<textarea name="query_lookup" cols="40" rows="1">
<?php			echo stripslashes($query_lookup);?></textarea>
		</td></tr>
		<tr><td align="center">
			<input type="submit" name="sub_lookup" value="Lookup">
		</td></tr>
	</table>
	</form>
<center><a href="main.php" onClick="return targetopener(this,true,true)">Close</a></center>
<ul>
    <li> Lookup searches for the EXACT word/phrase.</li>
    <li> It is best suited for smaller phrases.</li>
    <li> Do not use the RETURN/ENTER key unless the string you are searching for contains it.</li>
</ul>
</body>
</html>
