<?php
/*
 * main.php
 * This file is part of Entrans
 *
 * Copyright (C) 2005 Khader Abbeb N
 * Copyright (C) 2005 R.Vigneswaran 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA. 
 *
 */

include ("include/header_info.php");


/*	This is the first page of the application. This page is used to give the user a very brief description
 * of the use of the application and how to use it.
 *
 *	The application can be used for collabratiove translation of PO(Portable Object) files. The user can view
 * the contents of the PO files (strings) either file-wise or view all the strings by selecting the appropriate links
 * in this page
 *
 *	This page also has a statistics section detailing the PO files uploaded into this application and percentage
 * of strings translated for the file. A grand total of percentage of translated and untranslated strings is also
 * presented
 *
 * 									AUTHOR: Khader Abbeb N
 */

    
    include("head.php");
?>

<style type="text/css">
<!--
.siz12{
	font-size : 12px;
}
.filelist li{
	margin-top: 10px;
}
#switch_link {
    margin-right: 20px;
    margin-bottom: 3px;
}
// -->
</style>

<?php
include("body.php");

?>

<!--
<div id="tab">
-->
   <ul id="navibar">
	<li class="current"><a href="main.php">Home</a></li>
	<li class="wikilink"><a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a></li>
	<li class="wikilink"><a href="help.php">Help</a></li>
   </ul>

<div id="pageline"><hr style="display:none;"></div>

</div>
<!-- End of Div started in "body.php" -->


<div id="page" lang="en" dir="ltr">

Welcome 
<?php
if ($_SESSION['user'])
	echo $_SESSION['user'].",";
else
	echo "Guest,";
?>
	<br /><br />
	<p align="justify">&nbsp;&nbsp;&nbsp;&nbsp;
	<b><i>Entrans</i></b> is an online "translation" tool. The tool can be used by the online community 
	to give suggestions for a 
	list of English words/phrases that needs to be translated into a specific Indic Language.
	You can view the entire list of words/phrases by selecting the 
	<a href="list.php?category=all&amp;page=1">View All Strings</a> option or view all stings of a particular  
	<a href="list.php?file_list=yes&amp;page=1">File</a> by selecting that file in the list below.</p><br />
	<p align="justify">&nbsp;&nbsp;&nbsp;&nbsp;
	You can also view only those strings that does not have a valid translation by clicking on the 
	<a href="list.php?category=untrans&amp;page=1">Untranslated Strings</a> tab above. 
	Alternatively you can also view only the untranslated strings of a particular file by selecting
	the '<i>View Untranslated</i> ' link on the top-left corner of the <b>File Contents</b> page after selecting
	a file below.
	</p>
	
    <ul >
	 <li ><a href="list.php?category=all&amp;page=1" >View All Strings</a> </li>
    </ul>
<?php
if ($_SESSION['user_role']=="administrator")
{
?>
	<b>Admininstrator's Options</b>
    <ul>
	 <li><a href="organize.php" style="color:0106B4" >Organize File(s)</a></li>
	 <li><a href="dbadminister.php" style="color:0106B4" >Database Administration</a></li>
	 <li><a href="user_role.php" style="color:0106B4" >Manage Validators</a></li>
    </ul>
<?php
}
?>


<?php 

    include("include/functions_common.php");
    include("include/functions_main.php");
    include_once ("include/functions_stat.php");

    $root	= $_GET['root'];
    $parent_id	= $_GET['parent_id'];
    $db		= dbConnect();

    if (!$root)
    {
	$root = 1;
    }
    if ($parent_id)
    {
        $var_name	= "parent_id";   
        echo '<table width="100%" class="table_path">';
	echo '<tr>';
	echo '<td id="path">';
                 insert_path($parent_id, $var_name);
	echo '</td>';
	echo '<td>';
	echo '<ul class="buttonbar">'.
	     '<li class="buttonlink">'.
	     '<a href="main.php?root='.$parent_id.'" >View Tablular File List</a></li>'.
	     '</li>'.
	     '</ul>';
	echo '</td>';
	echo '</tr>';
        echo '</table>';
        insertFileStruct($parent_id);
    }
    else
    {
        $var_name	= "root";    
        echo '<table border=0 width="100%" class="table_path">';
	echo '<tr>';
	echo '<td id="path">';
                 insert_path($root, $var_name);
	echo '</td>';
	echo '<td>';
	echo '<ul class="buttonbar">'.
	     '<li id="switch_link" class="buttonlink">'.
    	     '<a href="main.php?parent_id='.$root.'" >View File Hierarchy</a></li>'.
	     '</li>'.
	     '</ul>';
	echo '</td>';
	echo '</tr>';
        echo '</table>';
    	insert_stat_table($root);
    }

    mysql_close($db);
?>

</div>

<?php
include("footer.php");
?>
